Debian Bug report logs - #547073
sysvinit: init should not clear utf8 flag

version graph

Package: sysvinit; Maintainer for sysvinit is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysvinit is src:sysvinit.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Wed, 16 Sep 2009 23:54:02 UTC

Severity: normal

Found in version sysvinit/2.86.ds1-65

Fixed in version sysvinit/2.87dsf-7

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#547073; Package sysvinit. (Wed, 16 Sep 2009 23:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 16 Sep 2009 23:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sysvinit: init should not clear utf8 flag
Date: Thu, 17 Sep 2009 01:42:54 +0200
[Message part 1 (text/plain, inline)]
Package: sysvinit
Version: 2.86.ds1-65
Severity: normal

Hello,

init sets c_iflag from scratch. This however clears the IUTF8
flag that the kernel sets according to the vt.default_utf8 kernel
option, resulting to odd behavior of backspace applied to non-ascii
characters. Just like c_cflag flags, init should not clear it, see
attached patch.

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages sysvinit depends on:
ii  file-rc                      0.8.11      Alternative boot mechanism using a
ii  initscripts                  2.86.ds1-65 scripts for initializing and shutt
ii  libc6                        2.9-25      GNU C Library: Shared libraries
ii  libselinux1                  2.0.85-4    SELinux runtime shared libraries
ii  libsepol1                    2.0.38-2    SELinux library for manipulating b
ii  sysvinit-utils               2.86.ds1-65 System-V-like utilities

sysvinit recommends no packages.

sysvinit suggests no packages.

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<s> je la connaissais pas celle la : "make: Entering an unknown directory"
 -+- #ens-mim -+-
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#547073; Package sysvinit. (Thu, 17 Sep 2009 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 17 Sep 2009 20:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 547073@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 547073@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#547073: sysvinit: init should not clear utf8 flag
Date: Thu, 17 Sep 2009 17:34:49 -0300
On Thu, 17 Sep 2009, Samuel Thibault wrote:
> init sets c_iflag from scratch. This however clears the IUTF8
> flag that the kernel sets according to the vt.default_utf8 kernel
> option, resulting to odd behavior of backspace applied to non-ascii
> characters. Just like c_cflag flags, init should not clear it, see
> attached patch.

Errr... did you attach the right patch? :-)

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#547073; Package sysvinit. (Thu, 17 Sep 2009 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 17 Sep 2009 21:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 547073@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 547073@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#547073: sysvinit: init should not clear utf8 flag
Date: Thu, 17 Sep 2009 23:20:28 +0200
[Message part 1 (text/plain, inline)]
Henrique de Moraes Holschuh, le Thu 17 Sep 2009 17:34:49 -0300, a écrit :
> On Thu, 17 Sep 2009, Samuel Thibault wrote:
> > init sets c_iflag from scratch. This however clears the IUTF8
> > flag that the kernel sets according to the vt.default_utf8 kernel
> > option, resulting to odd behavior of backspace applied to non-ascii
> > characters. Just like c_cflag flags, init should not clear it, see
> > attached patch.
> 
> Errr... did you attach the right patch? :-)

Oops, obviously no :)

Samuel
[patch-sysvinit (text/plain, attachment)]

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sun, 25 Oct 2009 12:39:55 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 25 Oct 2009 12:39:55 GMT) Full text and rfc822 format available.

Message #20 received at 547073-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 547073-close@bugs.debian.org
Subject: Bug#547073: fixed in sysvinit 2.87dsf-7
Date: Sun, 25 Oct 2009 12:02:42 +0000
Source: sysvinit
Source-Version: 2.87dsf-7

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.87dsf-7_i386.deb
  to pool/main/s/sysvinit/initscripts_2.87dsf-7_i386.deb
sysv-rc_2.87dsf-7_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.87dsf-7_all.deb
sysvinit-utils_2.87dsf-7_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.87dsf-7_i386.deb
sysvinit_2.87dsf-7.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.87dsf-7.diff.gz
sysvinit_2.87dsf-7.dsc
  to pool/main/s/sysvinit/sysvinit_2.87dsf-7.dsc
sysvinit_2.87dsf-7_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.87dsf-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547073@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Oct 2009 11:07:22 +0100
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts
Architecture: source i386 all
Version: 2.87dsf-7
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 381497 481028 512237 542515 547073 551263
Changes: 
 sysvinit (2.87dsf-7) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Change if-up.d/mountnfs to not claim to wait for the last network
     interface when there are no network file systems listed in
     /etc/fstab (Closes: #512237, 481028).  Patch from Adrian Bridgett.
   * Add startpar patch 05_pri_kdm_gdm.patch to try to get gdm and kdm
     to start earlier when concurrent booting is enabled.
   * Quiet down sysv-rc postinst to not give error when no file exist
     in /var/lib/update-rc.d.  Discovered from piuparts.
   * Report error from update-rc.d when insserv reject a script, to
     make it more clear what program call failed in a postinst.
   * Drop optional dependency from checkfs to cryptdisks, the
     cryptdisks script have a reverse dependency on checkfs, and that
     is a better way to do it.
   * Rewrite init.d/mtab.sh and init.d/checkroot.sh to not use
     /usr/bin/which, as it is running before /usr/ is guaranteed to be
     available.
   * Rewrite /lib/init/usplash-fsck-functions.sh to use blkid instead of
     the now obsolete vol_id.  Patch from Martin Pitt and Ubuntu.
   * Update 91_sulogin_lockedpw.dpatch to include documentation,
     without the Ubuntu references.  Based on patch from Scott James
     Remnant and Ubuntu.
   * Add patch 55_bootlogd_flush.patch to make sure lines are flushed
     to the kernel even when not asking the kernel to flush to disk
     (Closes: 542515).  Patch from Scott Gifford.
   * Add patch 63_init_keep_utf8_ttyflag.patch to make sure the utf-8
     tty flag is not cleared (Closes: 547073).  Patch from Samuel
     Thibault.
   * Include url to wiki page with information on how to fix the
     problems when unable to migrate to dependency based boot
     sequencing.
   * Make mountnfs-bootclean.sh also depend on $local_fs, to avoid
     surprises on systems where the admin removed mountnfs.sh from
     rcS.d/.  It is not a good idea to remove it, but there is no need
     for the script to fail when someone is crazy enough to remove a
     essential init.d script
 .
   [ Henrique de Moraes Holschuh ]
   * invoke-rc.d: return exit status 4 when action "status" is denied,
     to allow simpleminded policy-rc.d scripts to work well with the
     status action (closes: #381497)
 .
   [ Kel Modderman ]
   * Fix bootlogs init.d script to output correct name and supported
     actions in usage statement. (Closes: #551263)
Checksums-Sha1: 
 855216766d2d376d427c94fe17b84f2205535e6c 1501 sysvinit_2.87dsf-7.dsc
 0d1ec7434b5147b90a981139846b09cfb3c650a6 152916 sysvinit_2.87dsf-7.diff.gz
 442f2aaf83417e8030c29c61c493879614a03bff 106994 sysvinit_2.87dsf-7_i386.deb
 96ad832db2c53646b1112725653367fa4b70b424 106590 sysvinit-utils_2.87dsf-7_i386.deb
 0ce37ac2ba82629c7f47cb73026e5298006c33f5 62814 initscripts_2.87dsf-7_i386.deb
 84c94a491e39b448edf5c46c9b69291cf0438293 49096 sysv-rc_2.87dsf-7_all.deb
Checksums-Sha256: 
 eae3ce1456c10075ee6ef6348d3ffaa88123c46bfc9dc43df5c219438b5f8ae3 1501 sysvinit_2.87dsf-7.dsc
 94f86e946b8b67d067b6ed59dbb4446b7458cc2ccf1df46eeaa1054b4ec07fc9 152916 sysvinit_2.87dsf-7.diff.gz
 fbb397df17f2f51057370362e6f2162c8c6e27b4a0003d74de22f653816317e5 106994 sysvinit_2.87dsf-7_i386.deb
 87328b0d1249c4939c6dfd465e6a05a43264f872254c43bb03076f8161366590 106590 sysvinit-utils_2.87dsf-7_i386.deb
 ba60762ab14e7766a1f02e7ccfbbbd019c718bd54511d903088f283930ac40d0 62814 initscripts_2.87dsf-7_i386.deb
 e29061f61c80df8f9dd2d5fed3951eab3978a21e113a812bb72a15dc94e3cc4e 49096 sysv-rc_2.87dsf-7_all.deb
Files: 
 ce8bea2083d25295388ceebf100635bb 1501 admin required sysvinit_2.87dsf-7.dsc
 38c4bb202a74db30a30adc494f70a4f6 152916 admin required sysvinit_2.87dsf-7.diff.gz
 14637c004f05fe1e5fa8d8eaaba1a804 106994 admin required sysvinit_2.87dsf-7_i386.deb
 369935a27d1d4c460c0ce02b40b12141 106590 admin required sysvinit-utils_2.87dsf-7_i386.deb
 65ed37c0b28b518d5f9989aa38b1bed0 62814 admin required initscripts_2.87dsf-7_i386.deb
 58c9b170fd88a3b68a2d1c10b7b0dda4 49096 admin required sysv-rc_2.87dsf-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFK5DoE20zMSyow1ykRArNjAKCioHpnuSR6348PNEZ/gRaR0Cr9RgCfZVej
52fJEwpLXgsvlsFAWeG5rGo=
=uyUi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Nov 2009 07:37:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:24:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.